Karia
ReferencesOpenapiOrigination

Calculate FBT and income tax

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-fbt-income-tax

Calculate fringe benefits tax and income tax outcomes for the specified quote using the supplied tax details.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string
dealId*string
quoteId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-fbt-income-tax" \  -H "Content-Type: application/json" \  -d '{    "details": {      "fbtMethod": "statutory",      "employerFbtType": "standard",      "fbtCollectionType": "ecm",      "employerEntitledToGstCredits": true,      "helpHecsDebt": true,      "incomeTax": {        "salary": {},        "preTaxContribution": {},        "postTaxContribution": {},        "taxableIncome": {},        "taxPayable": {},        "netIncome": {},        "taxSavings": {}      }    }  }'
{  "type": "novated_fbt_income_tax",  "details": {    "fbtMethod": "statutory",    "employerFbtType": "standard",    "fbtCollectionType": "ecm",    "claimableVehicleBusinessUse": 0,    "fbtBaseValue": 0,    "lossDeductibility": {      "include": true,      "recommendedAmount": 0,      "customAmount": 0    },    "employerEntitledToGstCredits": true,    "helpHecsDebt": true,    "preTaxContribution": 0,    "postTaxContribution": 0,    "estimatedEmployeeFbtLiability": 0,    "estimatedEmployerFbtLiability": 0,    "runningCosts": {      "payrollCycle": 0,      "annual": 0    },    "incomeTax": {      "salary": {        "currentSalaryPayrollCycle": 0,        "estimatedSalaryPayrollCycle": 0      },      "preTaxContribution": {        "currentPreTaxContributionPayrollCycle": 0,        "estimatedPreTaxContributionPayrollCycle": 0      },      "postTaxContribution": {        "currentPostTaxContributionPayrollCycle": 0,        "estimatedPostTaxContributionPayrollCycle": 0      },      "taxableIncome": {        "currentTaxableIncomePayrollCycle": 0,        "estimatedTaxableIncomePayrollCycle": 0      },      "taxPayable": {        "currentTaxPayablePayrollCycle": 0,        "estimatedTaxPayablePayrollCycle": 0      },      "netIncome": {        "currentNetIncomePayrollCycle": 0,        "currentNetIncome": 0,        "estimatedNetIncomePayrollCycle": 0,        "estimatedNetIncome": 0      },      "taxSavings": {        "currentTaxSavingsPayrollCycle": 0,        "estimatedTaxSavingsPayrollCycle": 0,        "currentTaxSavings": 0,        "estimatedTaxSavings": 0      },      "netCost": {        "currentNetCostPayrollCycle": 0,        "estimatedNetCostPayrollCycle": 0,        "currentNetCost": 0,        "estimatedNetCost": 0      }    }  }}